def fib(n):
    if n == 0:
        return 0
    else:
        previous_fib, current_fib = 0, 1
        for _ in range(n - 1): 
            new_fib = previous_fib + current_fib
            previous_fib = current_fib
            current_fib = new_fib
        return current_fib


# Test the function with some example inputs
#print(fib(0))  # 0
#print(fib(1))  # 1
#print(fib(2))  # 1
#print(fib(3))  # 2
print(fib(4))  # 3